Skip to main content
Get Visible For User Groups From List Name

Authorizations

Authorization
string
header
required

SuperOffice username:password are passed in Base64-encoded.

You can also pass inn an unencoded ticket 7T:abc== with the HTTP Authenticate header.

Authorization
string
header
required

SuperOffice SuperId OAuth implicit flow. You need to issue a request to the SuperId authorization URL https://online.superoffice.com/login/common/oauth/authorize?response_type=token &client_id=670734e0-4c5a-11e3-be9e-a171392e81db &redirect_uri=https://example.com/spa/

passing in the application id and redirect URL.

SuperId will log the user in, and redirect to the requested redirect URL with a #payload containing the access token and claims. (The redirect URL must be registered with SuperId in advance)

https://example.com/spa#access_token=8A%3aCust12227.AXRrCITpPBvQX3UbIohb &token_type=bearer &state= &expires_in=3600 &ctx=Cust12227 &netserver_url=https%3a%2f%2fsod.superoffice.com%2fCust12227%2fRemote%2fServices82%2f

You can take the #access_token value and pass it as the Authenticate HTTP header as a BEARER token.

FlowImplicit
Authorization URL
https://online.superoffice.com/login/common/oauth/authorize

Headers

Accept-Language
string

Convert string references and multi-language values into a specified language (iso2) code.

SO-Language
string

Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value.

SO-Culture
string

Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set.

SO-TimeZone
string

Specify the timezone code that you would like date/time responses converted to.

SO-AppToken
string

The application token that identifies the partner app. Used when calling Online WebAPI from a server.

Path Parameters

udListDefinitionName
string
required

The name of the list definition.

listItemId
integer<int32>
required

The id of the list item

Response

OK

Id
integer<int32>

The Id of the ListItem

Name
string

The name of the ListItem

ToolTip
string

The tooltip of the ListItem

Deleted
boolean

The deleted status of the ListItem

Rank
integer<int32>

The rank of the ListItem

Type
string

The type of the ListItem. Custom field.

ColorBlock
integer<int32>

The color indicator of the ListItem color block

IconHint
string

The Icon hint of the ListItem. Custom field.

Selected
boolean

True if the ListItem is selected

LastChanged
string<date-time>

Time of last change.

ChildItems
array

The child items of the SelectableMDOListItem

ExtraInfo
string

Extra information added to the ListItem. Could be information such as sort order etc or other meta data. Custom field.

StyleHint
string

Style hint indicating, information such as background color etc. Custom field.

Hidden
boolean

True if the ListItem is hidden

FullName
string

The name of the ListItem in its context

TableRight
object

Wraps a table right together with an explanatory reason. Code can indicate why access is restricted.

FieldProperties
object

Field property dictionary mapping field names to field access rights.